This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 818196 - Cannot change 'media-default' job option
Cannot change 'media-default' job option
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-02 08:32 EDT by Robert de Rooy
Modified: 2014-02-05 06:57 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 06:57:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert de Rooy 2012-05-02 08:32:53 EDT
Description of problem:
Starting system-config-printer and doing a test print, I noticed the page size properties where wrong for the printer in question.

After hunting down the "Media" property, which btw was nicely hidden in Properties -> Job Options and then under a fold-open "More", I can change na_letter_8.5x11in to iso_a4_210x297mm

pressing Apply causes a password question, which I supply after which the setting instantly changes back to letter. Also pressing OK and opening the properties dialog again shows the change did not take hold as it is back to Letter again.

the printer in question is a HP Photosmart Plus B210

running system-config-printer from a commandline did not cause any errors to be printed to the terminal.

/var/log/cups/access_log contains messages like these
localhost - - [02/May/2012:14:15:58 +0200] "POST /admin/ HTTP/1.1" 401 161 CUPS-Add-Modify-Printer successful-ok
localhost - root [02/May/2012:14:15:58 +0200] "POST /admin/ HTTP/1.1" 200 161 CUPS-Add-Modify-Printer successful-ok

/var/log/cups/error_log may prove more useful
W [02/May/2012:14:15:59 +0200] failed to CreateProfile: org.freedesktop.ColorManager.AlreadyExists:profile id 'Photosmart_Plus_B210-Gray..' already exists
W [02/May/2012:14:15:59 +0200] failed to CreateProfile: org.freedesktop.ColorManager.AlreadyExists:profile id 'Photosmart_Plus_B210-RGB..' already exists
W [02/May/2012:14:15:59 +0200] failed to CreateDevice: org.freedesktop.ColorManager.AlreadyExists:device id 'cups-Photosmart_Plus_B210' already exists
W [02/May/2012:14:15:59 +0200] failed to CreateProfile: org.freedesktop.ColorManager.AlreadyExists:profile id 'Photosmart_Plus_B210-Gray..' already exists
W [02/May/2012:14:15:59 +0200] failed to CreateProfile: org.freedesktop.ColorManager.AlreadyExists:profile id 'Photosmart_Plus_B210-RGB..' already exists
W [02/May/2012:14:15:59 +0200] failed to CreateDevice: org.freedesktop.ColorManager.AlreadyExists:device id 'cups-Photosmart_Plus_B210' already exists

Version-Release number of selected component (if applicable):
system-config-printer-1.3.8-4.fc16.x86_64

How reproducible:
Try to change paper size

Steps to Reproduce:
1. open system-config-printer
2. right click on a defined printer and choose properties
3. go to the Job Options page
4. fold open the "More" section to find the "Media" property
5. change the media to something else and press Apply
  
Actual results:
Media jumps back to the previous setting (Letter in this case)

Expected results:
paper size is respected.

Additional info:
I tried changing various other settings and those could all be changed, so it seems that only the "Media" property is effected.
Comment 1 Tim Waugh 2012-05-02 09:45:55 EDT
(In reply to comment #0)
> Description of problem:
> Starting system-config-printer and doing a test print, I noticed the page size
> properties where wrong for the printer in question.
> 
> After hunting down the "Media" property, which btw was nicely hidden in
> Properties -> Job Options and then under a fold-open "More", I can change
> na_letter_8.5x11in to iso_a4_210x297mm
> 
> pressing Apply causes a password question, which I supply after which the
> setting instantly changes back to letter. Also pressing OK and opening the
> properties dialog again shows the change did not take hold as it is back to
> Letter again.

Very likely this is because of some non-standard PPD keyword being used to specify page sizes for this driver.  Instead of looking in Job Options you need to look in Printer Options.  The name of the option will depend on the particular driver, but will most likely be "Media Size" or "Page Size".

Note that if your system locale is set correctly then CUPS will automatically attempt to set the the appropriate page size when the printer is first configured.

Could you please show me the output of "lpinfo -l -v" when this printer is connected and powered on?  I'd like to see which driver is being selected (and why), and whether I can reproduce the same issue with the "media" job option getting reset.
Comment 2 Robert de Rooy 2012-05-02 10:24:44 EDT
Your right, it was under Printer Options. Changing it here does seem to keep the setting, and the print test page now looks Ok.

Moreover, Media under Job Options has now changed to A4.

Regarding your locale comment, unfortunately selecting the "correct" locale would cause the OS to use a different language which is unacceptable, so I am forced to select another one. Still it is strange that it is trying to use Letter, since my locale is set to en_GB which should be A4. Perhaps it was set to en_US at the time the printer was installed, I don't remember..

$ env|grep en_
LC_MONETARY=en_GB.utf8
LC_NUMERIC=en_GB.utf8
LANG=en_GB.utf8
GDM_LANG=en_GB.utf8
LC_MEASUREMENT=en_GB.utf8
LC_TIME=en_GB.utf8

$ sudo lpinfo -l -v
Device: uri = https
        class = network
        info = Internet Printing Protocol (https)
        make-and-model = Unknown
        device-id = 
        location = 
Device: uri = socket
        class = network
        info = AppSocket/HP JetDirect
        make-and-model = Unknown
        device-id = 
        location = 
Device: uri = ipps
        class = network
        info = Internet Printing Protocol (ipps)
        make-and-model = Unknown
        device-id = 
        location = 
Device: uri = cups-pdf:/
        class = file
        info = CUPS-PDF
        make-and-model = Virtual PDF Printer
        device-id = MFG:Generic;MDL:CUPS-PDF Printer;DES:Generic CUPS-PDF Printer;CLS:PRINTER;CMD:POSTSCRIPT;
        location = 
Device: uri = http
        class = network
        info = Internet Printing Protocol (http)
        make-and-model = Unknown
        device-id = 
        location = 
Device: uri = lpd
        class = network
        info = LPD/LPR Host or Printer
        make-and-model = Unknown
        device-id = 
        location = 
Device: uri = ipp
        class = network
        info = Internet Printing Protocol (ipp)
        make-and-model = Unknown
        device-id = 
        location = 
Device: uri = ps
        class = network
        info = PostScript Creator
        make-and-model = PS-Protocol
        device-id = 
        location = 
Device: uri = dnssd://Photosmart%20Plus%20B210%20series%20%5B19BCCE%5D._pdl-datastream._tcp.local/
        class = network
        info = Photosmart Plus B210 series [19BCCE]
        make-and-model = HP Photosmart Plus B210 series
        device-id = MFG:HP;MDL:Photosmart Plus B210 series;FZY:0;
        location = 
Device: uri = dnssd://Photosmart%20Plus%20B210%20series%20%5B19BCCE%5D._ipp._tcp.local/
        class = network
        info = Photosmart Plus B210 series [19BCCE]
        make-and-model = HP Photosmart Plus B210 series
        device-id = MFG:HP;MDL:Photosmart Plus B210 series;FZY:0;
        location = 
Device: uri = hp
        class = direct
        info = HP Printer (HPLIP)
        make-and-model = Unknown
        device-id = 
        location = 
Device: uri = hpfax
        class = direct
        info = HP Fax (HPLIP)
        make-and-model = Unknown
        device-id = 
        location = 
Device: uri = ipselect
        class = network
        info = IBM Infoprint Manager
        make-and-model = IPM-Protocol
        device-id = 
        location =
Comment 3 Tim Waugh 2012-05-02 12:02:04 EDT
(In reply to comment #2)
> Regarding your locale comment, unfortunately selecting the "correct" locale
> would cause the OS to use a different language which is unacceptable, so I am
> forced to select another one. Still it is strange that it is trying to use
> Letter, since my locale is set to en_GB which should be A4. Perhaps it was set
> to en_US at the time the printer was installed, I don't remember..

While investigating this I found what I think might be a systemd bug involving system locale settings: bug #818265.

Thanks for the lpinfo output.

I can reproduce this issue with cups-1.5.2-12.fc17.x86_64.  Changing the 'media' job option has no effect.
Comment 4 Fedora End Of Life 2013-01-16 15:29:41 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Fedora End Of Life 2013-12-21 03:35:40 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2014-02-05 06:57:40 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.